<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: src/ReconstructedParticleCollection.cc Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">ReconstructedParticleCollection.cc</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_reconstructed_particle_collection_8cc.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">// AUTOMATICALLY GENERATED FILE - DO NOT EDIT</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;</div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_reconstructed_particle_collection_8h.html">eicd/ReconstructedParticleCollection.h</a>&quot;</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;</div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_cluster_collection_8h.html">eicd/ClusterCollection.h</a>&quot;</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_reconstructed_particle_collection_8h.html">eicd/ReconstructedParticleCollection.h</a>&quot;</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_track_collection_8h.html">eicd/TrackCollection.h</a>&quot;</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_vertex_collection_8h.html">eicd/VertexCollection.h</a>&quot;</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;</div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment">// standard includes</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="preprocessor">#include &lt;stdexcept&gt;</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="preprocessor">#include &lt;iomanip&gt;</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;</div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceeic.html">eic</a> {</div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;</div><div class="line"><a name="l00017"></a><span class="lineno"><a class="line" href="classeic_1_1_reconstructed_particle_collection.html#a14990fd17e73fb3664af2bc6b1e15e2d">   17</a></span>&#160;<a class="code" href="classeic_1_1_reconstructed_particle_collection.html#a14990fd17e73fb3664af2bc6b1e15e2d">ReconstructedParticleCollection::ReconstructedParticleCollection</a>() :</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;  m_isValid(false), m_collectionID(0), m_entries(),</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;  m_rel_clusters(new std::vector&lt;<a class="code" href="namespaceeic.html">eic</a>::<a class="code" href="classeic_1_1_const_cluster.html">ConstCluster</a>&gt;()),</div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;  m_rel_tracks(new std::vector&lt;<a class="code" href="namespaceeic.html">eic</a>::<a class="code" href="classeic_1_1_const_track.html">ConstTrack</a>&gt;()),</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;  m_rel_particles(new std::vector&lt;<a class="code" href="namespaceeic.html">eic</a>::<a class="code" href="classeic_1_1_const_reconstructed_particle.html">ConstReconstructedParticle</a>&gt;()),</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;  m_rel_vertex(new std::vector&lt;<a class="code" href="namespaceeic.html">eic</a>::<a class="code" href="classeic_1_1_const_vertex.html">ConstVertex</a>&gt;()),</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;  m_data(new <a class="code" href="namespaceeic.html#aec2946d418a10c0fe30a39982147d8d0">ReconstructedParticleDataContainer</a>()) {</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;  m_refCollections.push_back(<span class="keyword">new</span> std::vector&lt;podio::ObjectID&gt;());</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;  m_refCollections.push_back(<span class="keyword">new</span> std::vector&lt;podio::ObjectID&gt;());</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;  m_refCollections.push_back(<span class="keyword">new</span> std::vector&lt;podio::ObjectID&gt;());</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;  m_refCollections.push_back(<span class="keyword">new</span> std::vector&lt;podio::ObjectID&gt;());</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;}</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;</div><div class="line"><a name="l00030"></a><span class="lineno"><a class="line" href="classeic_1_1_reconstructed_particle_collection.html#ad1199172966d13cf55811b0378024502">   30</a></span>&#160;<a class="code" href="classeic_1_1_reconstructed_particle_collection.html#ad1199172966d13cf55811b0378024502">ReconstructedParticleCollection::~ReconstructedParticleCollection</a>() {</div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;  <a class="code" href="classeic_1_1_reconstructed_particle_collection.html#a9135f75aaac6e104272e57410d38fff9">clear</a>();</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;  <span class="keywordflow">if</span> (m_data) <span class="keyword">delete</span> m_data;</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;  <span class="keywordflow">for</span> (<span class="keyword">auto</span>&amp; pointer : m_refCollections) { <span class="keywordflow">if</span> (pointer) <span class="keyword">delete</span> pointer; }</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;  <span class="keywordflow">if</span> (m_rel_clusters) <span class="keyword">delete</span> m_rel_clusters;</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;  <span class="keywordflow">if</span> (m_rel_tracks) <span class="keyword">delete</span> m_rel_tracks;</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;  <span class="keywordflow">if</span> (m_rel_particles) <span class="keyword">delete</span> m_rel_particles;</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;  <span class="keywordflow">if</span> (m_rel_vertex) <span class="keyword">delete</span> m_rel_vertex;</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;}</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;</div><div class="line"><a name="l00040"></a><span class="lineno"><a class="line" href="classeic_1_1_reconstructed_particle_collection.html#a642c4d571390afbd305a2d14e66b3e46">   40</a></span>&#160;<span class="keyword">const</span> <a class="code" href="classeic_1_1_reconstructed_particle.html">ReconstructedParticle</a> <a class="code" href="classeic_1_1_reconstructed_particle_collection.html#a642c4d571390afbd305a2d14e66b3e46">ReconstructedParticleCollection::operator[]</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> index)<span class="keyword"> const </span>{</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;  <span class="keywordflow">return</span> <a class="code" href="classeic_1_1_reconstructed_particle.html">ReconstructedParticle</a>(m_entries[index]);</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;}</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;</div><div class="line"><a name="l00044"></a><span class="lineno"><a class="line" href="classeic_1_1_reconstructed_particle_collection.html#af5d6ea21cde655b09a7ece53786dbbbb">   44</a></span>&#160;<span class="keyword">const</span> <a class="code" href="classeic_1_1_reconstructed_particle.html">ReconstructedParticle</a> <a class="code" href="classeic_1_1_reconstructed_particle_collection.html#af5d6ea21cde655b09a7ece53786dbbbb">ReconstructedParticleCollection::at</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> index)<span class="keyword"> const </span>{</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;  <span class="keywordflow">return</span> <a class="code" href="classeic_1_1_reconstructed_particle.html">ReconstructedParticle</a>(m_entries.at(index));</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;}</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;</div><div class="line"><a name="l00048"></a><span class="lineno"><a class="line" href="classeic_1_1_reconstructed_particle_collection.html#a6c870e0b8720758026693ad4f1877480">   48</a></span>&#160;<a class="code" href="classeic_1_1_reconstructed_particle.html">ReconstructedParticle</a> <a class="code" href="classeic_1_1_reconstructed_particle_collection.html#a642c4d571390afbd305a2d14e66b3e46">ReconstructedParticleCollection::operator[]</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> index) {</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;  <span class="keywordflow">return</span> <a class="code" href="classeic_1_1_reconstructed_particle.html">ReconstructedParticle</a>(m_entries[index]);</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;}</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;</div><div class="line"><a name="l00052"></a><span class="lineno"><a class="line" href="classeic_1_1_reconstructed_particle_collection.html#aba67c7f6e4dc56076c27c01503343dad">   52</a></span>&#160;<a class="code" href="classeic_1_1_reconstructed_particle.html">ReconstructedParticle</a> <a class="code" href="classeic_1_1_reconstructed_particle_collection.html#af5d6ea21cde655b09a7ece53786dbbbb">ReconstructedParticleCollection::at</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> index) {</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;  <span class="keywordflow">return</span> <a class="code" href="classeic_1_1_reconstructed_particle.html">ReconstructedParticle</a>(m_entries.at(index));</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;}</div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;</div><div class="line"><a name="l00056"></a><span class="lineno"><a class="line" href="classeic_1_1_reconstructed_particle_collection.html#a3153fd922870713e074091ebfe75152b">   56</a></span>&#160;<span class="keywordtype">size_t</span> <a class="code" href="classeic_1_1_reconstructed_particle_collection.html#a3153fd922870713e074091ebfe75152b">ReconstructedParticleCollection::size</a>()<span class="keyword"> const </span>{</div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;  <span class="keywordflow">return</span> m_entries.size();</div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;}</div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;</div><div class="line"><a name="l00060"></a><span class="lineno"><a class="line" href="classeic_1_1_reconstructed_particle_collection.html#a54b4e70164490e29f353cc0034ef1c4e">   60</a></span>&#160;<a class="code" href="classeic_1_1_reconstructed_particle.html">ReconstructedParticle</a> <a class="code" href="classeic_1_1_reconstructed_particle_collection.html#a54b4e70164490e29f353cc0034ef1c4e">ReconstructedParticleCollection::create</a>() {</div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;  <span class="keyword">auto</span> obj = m_entries.emplace_back(<span class="keyword">new</span> <a class="code" href="classeic_1_1_reconstructed_particle_obj.html">ReconstructedParticleObj</a>());</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;  m_rel_clusters_tmp.push_back(obj-&gt;m_clusters);</div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;  m_rel_tracks_tmp.push_back(obj-&gt;m_tracks);</div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;  m_rel_particles_tmp.push_back(obj-&gt;m_particles);</div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;</div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;  obj-&gt;id = {int(m_entries.size() - 1), m_collectionID};</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;  <span class="keywordflow">return</span> <a class="code" href="classeic_1_1_reconstructed_particle.html">ReconstructedParticle</a>(obj);</div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;}</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;</div><div class="line"><a name="l00070"></a><span class="lineno"><a class="line" href="classeic_1_1_reconstructed_particle_collection.html#a9135f75aaac6e104272e57410d38fff9">   70</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classeic_1_1_reconstructed_particle_collection.html#a9135f75aaac6e104272e57410d38fff9">ReconstructedParticleCollection::clear</a>() {</div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;  m_data-&gt;clear();</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;  <span class="keywordflow">for</span> (<span class="keyword">auto</span>&amp; pointer : m_refCollections) { pointer-&gt;clear(); }</div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;  <span class="comment">// clear relations to clusters. Make sure to unlink() the reference data as they may be gone already.</span></div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;  <span class="keywordflow">for</span> (<span class="keyword">auto</span>&amp; pointer : m_rel_clusters_tmp) {</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;    <span class="keywordflow">for</span> (<span class="keyword">auto</span>&amp; item : *pointer) {</div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;      item.unlink();</div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;    }</div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;    <span class="keyword">delete</span> pointer;</div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;  }</div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;  m_rel_clusters_tmp.clear();</div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;  <span class="keywordflow">for</span> (<span class="keyword">auto</span>&amp; item : (*m_rel_clusters)) { item.unlink(); }</div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;  m_rel_clusters-&gt;clear();</div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;</div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;  <span class="comment">// clear relations to tracks. Make sure to unlink() the reference data as they may be gone already.</span></div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;  <span class="keywordflow">for</span> (<span class="keyword">auto</span>&amp; pointer : m_rel_tracks_tmp) {</div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;    <span class="keywordflow">for</span> (<span class="keyword">auto</span>&amp; item : *pointer) {</div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;      item.unlink();</div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;    }</div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;    <span class="keyword">delete</span> pointer;</div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;  }</div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;  m_rel_tracks_tmp.clear();</div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;  <span class="keywordflow">for</span> (<span class="keyword">auto</span>&amp; item : (*m_rel_tracks)) { item.unlink(); }</div><div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;  m_rel_tracks-&gt;clear();</div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;</div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;  <span class="comment">// clear relations to particles. Make sure to unlink() the reference data as they may be gone already.</span></div><div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;  <span class="keywordflow">for</span> (<span class="keyword">auto</span>&amp; pointer : m_rel_particles_tmp) {</div><div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;    <span class="keywordflow">for</span> (<span class="keyword">auto</span>&amp; item : *pointer) {</div><div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;      item.unlink();</div><div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;    }</div><div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;    <span class="keyword">delete</span> pointer;</div><div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;  }</div><div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;  m_rel_particles_tmp.clear();</div><div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;  <span class="keywordflow">for</span> (<span class="keyword">auto</span>&amp; item : (*m_rel_particles)) { item.unlink(); }</div><div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;  m_rel_particles-&gt;clear();</div><div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;</div><div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;  <span class="keywordflow">for</span> (<span class="keyword">auto</span>&amp; item : (*m_rel_vertex)) { item.unlink(); }</div><div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;  m_rel_vertex-&gt;clear();</div><div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;</div><div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;  <span class="keywordflow">for</span> (<span class="keyword">auto</span>&amp; obj : m_entries) { <span class="keyword">delete</span> obj; }</div><div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;  m_entries.clear();</div><div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;}</div><div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;</div><div class="line"><a name="l00113"></a><span class="lineno"><a class="line" href="classeic_1_1_reconstructed_particle_collection.html#afc01bcd111b2e21542aa0db39067f4bc">  113</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classeic_1_1_reconstructed_particle_collection.html#afc01bcd111b2e21542aa0db39067f4bc">ReconstructedParticleCollection::prepareForWrite</a>() {</div><div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;  <span class="keyword">const</span> <span class="keyword">auto</span> <a class="code" href="classeic_1_1_reconstructed_particle_collection.html#a3153fd922870713e074091ebfe75152b">size</a> = m_entries.size();</div><div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;  m_data-&gt;reserve(<a class="code" href="classeic_1_1_reconstructed_particle_collection.html#a3153fd922870713e074091ebfe75152b">size</a>);</div><div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;  <span class="keywordflow">for</span> (<span class="keyword">auto</span>&amp; obj : m_entries) { m_data-&gt;push_back(obj-&gt;data); }</div><div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;  <span class="keywordflow">for</span> (<span class="keyword">auto</span>&amp; pointer : m_refCollections) { pointer-&gt;clear(); }</div><div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;</div><div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;  <span class="keywordtype">int</span> clusters_index = 0;</div><div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;  <span class="keywordtype">int</span> tracks_index = 0;</div><div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;  <span class="keywordtype">int</span> particles_index = 0;</div><div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;  <span class="keywordflow">for</span> (<span class="keywordtype">int</span> i = 0, <a class="code" href="classeic_1_1_reconstructed_particle_collection.html#a3153fd922870713e074091ebfe75152b">size</a> = m_data-&gt;size(); i != <a class="code" href="classeic_1_1_reconstructed_particle_collection.html#a3153fd922870713e074091ebfe75152b">size</a>; ++i) {</div><div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;    (*m_data)[i].clusters_begin = clusters_index;</div><div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;    (*m_data)[i].clusters_end += clusters_index;</div><div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;    clusters_index = (*m_data)[i].clusters_end;</div><div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;    <span class="keywordflow">for</span> (<span class="keyword">const</span> <span class="keyword">auto</span>&amp; it : (*m_rel_clusters_tmp[i])) {</div><div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;      <span class="keywordflow">if</span> (it.getObjectID().index == podio::ObjectID::untracked) {</div><div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;        <span class="keywordflow">throw</span> std::runtime_error(<span class="stringliteral">&quot;Trying to persistify untracked object&quot;</span>);</div><div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;      }</div><div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;      m_refCollections[0]-&gt;emplace_back(it.getObjectID());</div><div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;      m_rel_clusters-&gt;push_back(it);</div><div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;    }</div><div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;</div><div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;    (*m_data)[i].tracks_begin = tracks_index;</div><div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;    (*m_data)[i].tracks_end += tracks_index;</div><div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160;    tracks_index = (*m_data)[i].tracks_end;</div><div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;    <span class="keywordflow">for</span> (<span class="keyword">const</span> <span class="keyword">auto</span>&amp; it : (*m_rel_tracks_tmp[i])) {</div><div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;      <span class="keywordflow">if</span> (it.getObjectID().index == podio::ObjectID::untracked) {</div><div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;        <span class="keywordflow">throw</span> std::runtime_error(<span class="stringliteral">&quot;Trying to persistify untracked object&quot;</span>);</div><div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;      }</div><div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160;      m_refCollections[1]-&gt;emplace_back(it.getObjectID());</div><div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160;      m_rel_tracks-&gt;push_back(it);</div><div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;    }</div><div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;</div><div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;    (*m_data)[i].particles_begin = particles_index;</div><div class="line"><a name="l00146"></a><span class="lineno">  146</span>&#160;    (*m_data)[i].particles_end += particles_index;</div><div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160;    particles_index = (*m_data)[i].particles_end;</div><div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160;    <span class="keywordflow">for</span> (<span class="keyword">const</span> <span class="keyword">auto</span>&amp; it : (*m_rel_particles_tmp[i])) {</div><div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160;      <span class="keywordflow">if</span> (it.getObjectID().index == podio::ObjectID::untracked) {</div><div class="line"><a name="l00150"></a><span class="lineno">  150</span>&#160;        <span class="keywordflow">throw</span> std::runtime_error(<span class="stringliteral">&quot;Trying to persistify untracked object&quot;</span>);</div><div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160;      }</div><div class="line"><a name="l00152"></a><span class="lineno">  152</span>&#160;      m_refCollections[2]-&gt;emplace_back(it.getObjectID());</div><div class="line"><a name="l00153"></a><span class="lineno">  153</span>&#160;      m_rel_particles-&gt;push_back(it);</div><div class="line"><a name="l00154"></a><span class="lineno">  154</span>&#160;    }</div><div class="line"><a name="l00155"></a><span class="lineno">  155</span>&#160;</div><div class="line"><a name="l00156"></a><span class="lineno">  156</span>&#160;  }</div><div class="line"><a name="l00157"></a><span class="lineno">  157</span>&#160;  <span class="keywordflow">for</span> (<span class="keyword">auto</span>&amp; obj : m_entries) {</div><div class="line"><a name="l00158"></a><span class="lineno">  158</span>&#160;    <span class="keywordflow">if</span> (obj-&gt;m_vertex) {</div><div class="line"><a name="l00159"></a><span class="lineno">  159</span>&#160;      m_refCollections[3]-&gt;emplace_back(obj-&gt;m_vertex-&gt;getObjectID());</div><div class="line"><a name="l00160"></a><span class="lineno">  160</span>&#160;    } <span class="keywordflow">else</span> {</div><div class="line"><a name="l00161"></a><span class="lineno">  161</span>&#160;       m_refCollections[3]-&gt;push_back({podio::ObjectID::invalid, podio::ObjectID::invalid});</div><div class="line"><a name="l00162"></a><span class="lineno">  162</span>&#160;    }</div><div class="line"><a name="l00163"></a><span class="lineno">  163</span>&#160;  }</div><div class="line"><a name="l00164"></a><span class="lineno">  164</span>&#160;</div><div class="line"><a name="l00165"></a><span class="lineno">  165</span>&#160;}</div><div class="line"><a name="l00166"></a><span class="lineno">  166</span>&#160;</div><div class="line"><a name="l00167"></a><span class="lineno"><a class="line" href="classeic_1_1_reconstructed_particle_collection.html#a5fd1dd83d4f48c6c00deb10f5d04c540">  167</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classeic_1_1_reconstructed_particle_collection.html#a5fd1dd83d4f48c6c00deb10f5d04c540">ReconstructedParticleCollection::prepareAfterRead</a>() {</div><div class="line"><a name="l00168"></a><span class="lineno">  168</span>&#160;  <span class="keywordtype">int</span> index = 0;</div><div class="line"><a name="l00169"></a><span class="lineno">  169</span>&#160;  <span class="keywordflow">for</span> (<span class="keyword">auto</span>&amp; data : *m_data) {</div><div class="line"><a name="l00170"></a><span class="lineno">  170</span>&#160;    <span class="keyword">auto</span> obj = <span class="keyword">new</span> <a class="code" href="classeic_1_1_reconstructed_particle_obj.html">ReconstructedParticleObj</a>({index, m_collectionID}, data);</div><div class="line"><a name="l00171"></a><span class="lineno">  171</span>&#160;</div><div class="line"><a name="l00172"></a><span class="lineno">  172</span>&#160;    obj-&gt;<a class="code" href="classeic_1_1_reconstructed_particle_obj.html#aa93636c5a85aafcb6902ef07e5139f7e">m_clusters</a> = m_rel_clusters;</div><div class="line"><a name="l00173"></a><span class="lineno">  173</span>&#160;    obj-&gt;m_tracks = m_rel_tracks;</div><div class="line"><a name="l00174"></a><span class="lineno">  174</span>&#160;    obj-&gt;m_particles = m_rel_particles;</div><div class="line"><a name="l00175"></a><span class="lineno">  175</span>&#160;    m_entries.emplace_back(obj);</div><div class="line"><a name="l00176"></a><span class="lineno">  176</span>&#160;    ++index;</div><div class="line"><a name="l00177"></a><span class="lineno">  177</span>&#160;  }</div><div class="line"><a name="l00178"></a><span class="lineno">  178</span>&#160;  m_isValid = <span class="keyword">true</span>;</div><div class="line"><a name="l00179"></a><span class="lineno">  179</span>&#160;}</div><div class="line"><a name="l00180"></a><span class="lineno">  180</span>&#160;</div><div class="line"><a name="l00181"></a><span class="lineno"><a class="line" href="classeic_1_1_reconstructed_particle_collection.html#aa47e9c558b1f5d3c94ba343a8b82d2b0">  181</a></span>&#160;<span class="keywordtype">bool</span> <a class="code" href="classeic_1_1_reconstructed_particle_collection.html#aa47e9c558b1f5d3c94ba343a8b82d2b0">ReconstructedParticleCollection::setReferences</a>(<span class="keyword">const</span> podio::ICollectionProvider* collectionProvider) {</div><div class="line"><a name="l00182"></a><span class="lineno">  182</span>&#160;  <span class="keywordflow">for</span> (<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> i = 0, <a class="code" href="classeic_1_1_reconstructed_particle_collection.html#a3153fd922870713e074091ebfe75152b">size</a> = m_refCollections[0]-&gt;<a class="code" href="classeic_1_1_reconstructed_particle_collection.html#a3153fd922870713e074091ebfe75152b">size</a>(); i != <a class="code" href="classeic_1_1_reconstructed_particle_collection.html#a3153fd922870713e074091ebfe75152b">size</a>; ++i) {</div><div class="line"><a name="l00183"></a><span class="lineno">  183</span>&#160;    <span class="keyword">const</span> <span class="keyword">auto</span> <span class="keywordtype">id</span> = (*m_refCollections[0])[i];</div><div class="line"><a name="l00184"></a><span class="lineno">  184</span>&#160;    <span class="keywordflow">if</span> (<span class="keywordtype">id</span>.index != podio::ObjectID::invalid) {</div><div class="line"><a name="l00185"></a><span class="lineno">  185</span>&#160;      CollectionBase* coll = <span class="keyword">nullptr</span>;</div><div class="line"><a name="l00186"></a><span class="lineno">  186</span>&#160;      collectionProvider-&gt;get(<span class="keywordtype">id</span>.collectionID, coll);</div><div class="line"><a name="l00187"></a><span class="lineno">  187</span>&#160;      <a class="code" href="classeic_1_1_cluster_collection.html">eic::ClusterCollection</a>* tmp_coll = <span class="keyword">static_cast&lt;</span><a class="code" href="classeic_1_1_cluster_collection.html">eic::ClusterCollection</a>*<span class="keyword">&gt;</span>(coll);</div><div class="line"><a name="l00188"></a><span class="lineno">  188</span>&#160;      <span class="keyword">const</span> <span class="keyword">auto</span> tmp = (*tmp_coll)[<span class="keywordtype">id</span>.index];</div><div class="line"><a name="l00189"></a><span class="lineno">  189</span>&#160;      m_rel_clusters-&gt;emplace_back(tmp);</div><div class="line"><a name="l00190"></a><span class="lineno">  190</span>&#160;    } <span class="keywordflow">else</span> {</div><div class="line"><a name="l00191"></a><span class="lineno">  191</span>&#160;      m_rel_clusters-&gt;emplace_back(<span class="keyword">nullptr</span>);</div><div class="line"><a name="l00192"></a><span class="lineno">  192</span>&#160;    }</div><div class="line"><a name="l00193"></a><span class="lineno">  193</span>&#160;  }</div><div class="line"><a name="l00194"></a><span class="lineno">  194</span>&#160;</div><div class="line"><a name="l00195"></a><span class="lineno">  195</span>&#160;  <span class="keywordflow">for</span> (<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> i = 0, <a class="code" href="classeic_1_1_reconstructed_particle_collection.html#a3153fd922870713e074091ebfe75152b">size</a> = m_refCollections[1]-&gt;<a class="code" href="classeic_1_1_reconstructed_particle_collection.html#a3153fd922870713e074091ebfe75152b">size</a>(); i != <a class="code" href="classeic_1_1_reconstructed_particle_collection.html#a3153fd922870713e074091ebfe75152b">size</a>; ++i) {</div><div class="line"><a name="l00196"></a><span class="lineno">  196</span>&#160;    <span class="keyword">const</span> <span class="keyword">auto</span> <span class="keywordtype">id</span> = (*m_refCollections[1])[i];</div><div class="line"><a name="l00197"></a><span class="lineno">  197</span>&#160;    <span class="keywordflow">if</span> (<span class="keywordtype">id</span>.index != podio::ObjectID::invalid) {</div><div class="line"><a name="l00198"></a><span class="lineno">  198</span>&#160;      CollectionBase* coll = <span class="keyword">nullptr</span>;</div><div class="line"><a name="l00199"></a><span class="lineno">  199</span>&#160;      collectionProvider-&gt;get(<span class="keywordtype">id</span>.collectionID, coll);</div><div class="line"><a name="l00200"></a><span class="lineno">  200</span>&#160;      <a class="code" href="classeic_1_1_track_collection.html">eic::TrackCollection</a>* tmp_coll = <span class="keyword">static_cast&lt;</span><a class="code" href="classeic_1_1_track_collection.html">eic::TrackCollection</a>*<span class="keyword">&gt;</span>(coll);</div><div class="line"><a name="l00201"></a><span class="lineno">  201</span>&#160;      <span class="keyword">const</span> <span class="keyword">auto</span> tmp = (*tmp_coll)[<span class="keywordtype">id</span>.index];</div><div class="line"><a name="l00202"></a><span class="lineno">  202</span>&#160;      m_rel_tracks-&gt;emplace_back(tmp);</div><div class="line"><a name="l00203"></a><span class="lineno">  203</span>&#160;    } <span class="keywordflow">else</span> {</div><div class="line"><a name="l00204"></a><span class="lineno">  204</span>&#160;      m_rel_tracks-&gt;emplace_back(<span class="keyword">nullptr</span>);</div><div class="line"><a name="l00205"></a><span class="lineno">  205</span>&#160;    }</div><div class="line"><a name="l00206"></a><span class="lineno">  206</span>&#160;  }</div><div class="line"><a name="l00207"></a><span class="lineno">  207</span>&#160;</div><div class="line"><a name="l00208"></a><span class="lineno">  208</span>&#160;  <span class="keywordflow">for</span> (<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> i = 0, <a class="code" href="classeic_1_1_reconstructed_particle_collection.html#a3153fd922870713e074091ebfe75152b">size</a> = m_refCollections[2]-&gt;<a class="code" href="classeic_1_1_reconstructed_particle_collection.html#a3153fd922870713e074091ebfe75152b">size</a>(); i != <a class="code" href="classeic_1_1_reconstructed_particle_collection.html#a3153fd922870713e074091ebfe75152b">size</a>; ++i) {</div><div class="line"><a name="l00209"></a><span class="lineno">  209</span>&#160;    <span class="keyword">const</span> <span class="keyword">auto</span> <span class="keywordtype">id</span> = (*m_refCollections[2])[i];</div><div class="line"><a name="l00210"></a><span class="lineno">  210</span>&#160;    <span class="keywordflow">if</span> (<span class="keywordtype">id</span>.index != podio::ObjectID::invalid) {</div><div class="line"><a name="l00211"></a><span class="lineno">  211</span>&#160;      CollectionBase* coll = <span class="keyword">nullptr</span>;</div><div class="line"><a name="l00212"></a><span class="lineno">  212</span>&#160;      collectionProvider-&gt;get(<span class="keywordtype">id</span>.collectionID, coll);</div><div class="line"><a name="l00213"></a><span class="lineno">  213</span>&#160;      <a class="code" href="classeic_1_1_reconstructed_particle_collection.html">eic::ReconstructedParticleCollection</a>* tmp_coll = <span class="keyword">static_cast&lt;</span><a class="code" href="classeic_1_1_reconstructed_particle_collection.html">eic::ReconstructedParticleCollection</a>*<span class="keyword">&gt;</span>(coll);</div><div class="line"><a name="l00214"></a><span class="lineno">  214</span>&#160;      <span class="keyword">const</span> <span class="keyword">auto</span> tmp = (*tmp_coll)[<span class="keywordtype">id</span>.index];</div><div class="line"><a name="l00215"></a><span class="lineno">  215</span>&#160;      m_rel_particles-&gt;emplace_back(tmp);</div><div class="line"><a name="l00216"></a><span class="lineno">  216</span>&#160;    } <span class="keywordflow">else</span> {</div><div class="line"><a name="l00217"></a><span class="lineno">  217</span>&#160;      m_rel_particles-&gt;emplace_back(<span class="keyword">nullptr</span>);</div><div class="line"><a name="l00218"></a><span class="lineno">  218</span>&#160;    }</div><div class="line"><a name="l00219"></a><span class="lineno">  219</span>&#160;  }</div><div class="line"><a name="l00220"></a><span class="lineno">  220</span>&#160;</div><div class="line"><a name="l00221"></a><span class="lineno">  221</span>&#160;  <span class="keywordflow">for</span> (<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> i = 0, <a class="code" href="classeic_1_1_reconstructed_particle_collection.html#a3153fd922870713e074091ebfe75152b">size</a> = m_entries.size(); i != <a class="code" href="classeic_1_1_reconstructed_particle_collection.html#a3153fd922870713e074091ebfe75152b">size</a>; ++i) {</div><div class="line"><a name="l00222"></a><span class="lineno">  222</span>&#160;    <span class="keyword">const</span> <span class="keyword">auto</span> <span class="keywordtype">id</span> = (*m_refCollections[3])[i];</div><div class="line"><a name="l00223"></a><span class="lineno">  223</span>&#160;    <span class="keywordflow">if</span> (<span class="keywordtype">id</span>.index != podio::ObjectID::invalid) {</div><div class="line"><a name="l00224"></a><span class="lineno">  224</span>&#160;        CollectionBase* coll = <span class="keyword">nullptr</span>;</div><div class="line"><a name="l00225"></a><span class="lineno">  225</span>&#160;      collectionProvider-&gt;get(<span class="keywordtype">id</span>.collectionID, coll);</div><div class="line"><a name="l00226"></a><span class="lineno">  226</span>&#160;      <a class="code" href="classeic_1_1_vertex_collection.html">eic::VertexCollection</a>* tmp_coll = <span class="keyword">static_cast&lt;</span><a class="code" href="classeic_1_1_vertex_collection.html">eic::VertexCollection</a>*<span class="keyword">&gt;</span>(coll);</div><div class="line"><a name="l00227"></a><span class="lineno">  227</span>&#160;      m_entries[i]-&gt;m_vertex = <span class="keyword">new</span> <a class="code" href="classeic_1_1_const_vertex.html">ConstVertex</a>((*tmp_coll)[<span class="keywordtype">id</span>.index]);</div><div class="line"><a name="l00228"></a><span class="lineno">  228</span>&#160;    } <span class="keywordflow">else</span> {</div><div class="line"><a name="l00229"></a><span class="lineno">  229</span>&#160;      m_entries[i]-&gt;m_vertex = <span class="keyword">nullptr</span>;</div><div class="line"><a name="l00230"></a><span class="lineno">  230</span>&#160;    }</div><div class="line"><a name="l00231"></a><span class="lineno">  231</span>&#160;  }</div><div class="line"><a name="l00232"></a><span class="lineno">  232</span>&#160;</div><div class="line"><a name="l00233"></a><span class="lineno">  233</span>&#160;</div><div class="line"><a name="l00234"></a><span class="lineno">  234</span>&#160;  <span class="keywordflow">return</span> <span class="keyword">true</span>; <span class="comment">//TODO: check success</span></div><div class="line"><a name="l00235"></a><span class="lineno">  235</span>&#160;}</div><div class="line"><a name="l00236"></a><span class="lineno">  236</span>&#160;</div><div class="line"><a name="l00237"></a><span class="lineno"><a class="line" href="classeic_1_1_reconstructed_particle_collection.html#a7ba8de3acc05c820b8d7b79ea1426a71">  237</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classeic_1_1_reconstructed_particle_collection.html#a7ba8de3acc05c820b8d7b79ea1426a71">ReconstructedParticleCollection::push_back</a>(<a class="code" href="classeic_1_1_const_reconstructed_particle.html">ConstReconstructedParticle</a> <span class="keywordtype">object</span>) {</div><div class="line"><a name="l00238"></a><span class="lineno">  238</span>&#160;  <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code" href="classeic_1_1_reconstructed_particle_collection.html#a3153fd922870713e074091ebfe75152b">size</a> = m_entries.size();</div><div class="line"><a name="l00239"></a><span class="lineno">  239</span>&#160;  <span class="keyword">auto</span> obj = <span class="keywordtype">object</span>.m_obj;</div><div class="line"><a name="l00240"></a><span class="lineno">  240</span>&#160;  <span class="keywordflow">if</span> (obj-&gt;id.index == podio::ObjectID::untracked) {</div><div class="line"><a name="l00241"></a><span class="lineno">  241</span>&#160;    obj-&gt;id = {<a class="code" href="classeic_1_1_reconstructed_particle_collection.html#a3153fd922870713e074091ebfe75152b">size</a>, m_collectionID};</div><div class="line"><a name="l00242"></a><span class="lineno">  242</span>&#160;    m_entries.push_back(obj);</div><div class="line"><a name="l00243"></a><span class="lineno">  243</span>&#160;</div><div class="line"><a name="l00244"></a><span class="lineno">  244</span>&#160;    m_rel_clusters_tmp.push_back(obj-&gt;m_clusters);</div><div class="line"><a name="l00245"></a><span class="lineno">  245</span>&#160;    m_rel_tracks_tmp.push_back(obj-&gt;m_tracks);</div><div class="line"><a name="l00246"></a><span class="lineno">  246</span>&#160;    m_rel_particles_tmp.push_back(obj-&gt;m_particles);</div><div class="line"><a name="l00247"></a><span class="lineno">  247</span>&#160;  } <span class="keywordflow">else</span> {</div><div class="line"><a name="l00248"></a><span class="lineno">  248</span>&#160;    <span class="keywordflow">throw</span> std::invalid_argument(<span class="stringliteral">&quot;Object already in a collection. Cannot add it to a second collection&quot;</span>);</div><div class="line"><a name="l00249"></a><span class="lineno">  249</span>&#160;  }</div><div class="line"><a name="l00250"></a><span class="lineno">  250</span>&#160;}</div><div class="line"><a name="l00251"></a><span class="lineno">  251</span>&#160;</div><div class="line"><a name="l00252"></a><span class="lineno"><a class="line" href="classeic_1_1_reconstructed_particle_collection.html#a164ff572b0413348ae73417d822c2308">  252</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classeic_1_1_reconstructed_particle_collection.html#a164ff572b0413348ae73417d822c2308">ReconstructedParticleCollection::setBuffer</a>(<span class="keywordtype">void</span>* address) {</div><div class="line"><a name="l00253"></a><span class="lineno">  253</span>&#160;  <span class="keywordflow">if</span> (m_data) <span class="keyword">delete</span> m_data;</div><div class="line"><a name="l00254"></a><span class="lineno">  254</span>&#160;  m_data = <span class="keyword">static_cast&lt;</span><a class="code" href="namespaceeic.html#aec2946d418a10c0fe30a39982147d8d0">ReconstructedParticleDataContainer</a>*<span class="keyword">&gt;</span>(address);</div><div class="line"><a name="l00255"></a><span class="lineno">  255</span>&#160;}</div><div class="line"><a name="l00256"></a><span class="lineno">  256</span>&#160;</div><div class="line"><a name="l00257"></a><span class="lineno"><a class="line" href="classeic_1_1_reconstructed_particle_collection_iterator.html#a10586dd247c4e9325495a11e7f629a7c">  257</a></span>&#160;<span class="keyword">const</span> <a class="code" href="classeic_1_1_reconstructed_particle.html">ReconstructedParticle</a> <a class="code" href="classeic_1_1_reconstructed_particle_collection_iterator.html#a10586dd247c4e9325495a11e7f629a7c">ReconstructedParticleCollectionIterator::operator*</a>()<span class="keyword"> const </span>{</div><div class="line"><a name="l00258"></a><span class="lineno">  258</span>&#160;  m_object.m_obj = (*m_collection)[m_index];</div><div class="line"><a name="l00259"></a><span class="lineno">  259</span>&#160;  <span class="keywordflow">return</span> m_object;</div><div class="line"><a name="l00260"></a><span class="lineno">  260</span>&#160;}</div><div class="line"><a name="l00261"></a><span class="lineno">  261</span>&#160;</div><div class="line"><a name="l00262"></a><span class="lineno"><a class="line" href="classeic_1_1_reconstructed_particle_collection_iterator.html#a7e1088d4993692982d82f93e3cc6981f">  262</a></span>&#160;<span class="keyword">const</span> <a class="code" href="classeic_1_1_reconstructed_particle.html">ReconstructedParticle</a>* <a class="code" href="classeic_1_1_reconstructed_particle_collection_iterator.html#a7e1088d4993692982d82f93e3cc6981f">ReconstructedParticleCollectionIterator::operator-&gt;</a>()<span class="keyword"> const </span>{</div><div class="line"><a name="l00263"></a><span class="lineno">  263</span>&#160;  m_object.m_obj = (*m_collection)[m_index];</div><div class="line"><a name="l00264"></a><span class="lineno">  264</span>&#160;  <span class="keywordflow">return</span> &amp;m_object;</div><div class="line"><a name="l00265"></a><span class="lineno">  265</span>&#160;}</div><div class="line"><a name="l00266"></a><span class="lineno">  266</span>&#160;</div><div class="line"><a name="l00267"></a><span class="lineno"><a class="line" href="classeic_1_1_reconstructed_particle_collection_iterator.html#a78efedec687b5a8a03e44e12fef776a2">  267</a></span>&#160;<span class="keyword">const</span> <a class="code" href="classeic_1_1_reconstructed_particle_collection_iterator.html">ReconstructedParticleCollectionIterator</a>&amp; <a class="code" href="classeic_1_1_reconstructed_particle_collection_iterator.html#a78efedec687b5a8a03e44e12fef776a2">ReconstructedParticleCollectionIterator::operator++</a>()<span class="keyword"> const </span>{</div><div class="line"><a name="l00268"></a><span class="lineno">  268</span>&#160;  ++m_index;</div><div class="line"><a name="l00269"></a><span class="lineno">  269</span>&#160;  <span class="keywordflow">return</span> *<span class="keyword">this</span>;</div><div class="line"><a name="l00270"></a><span class="lineno">  270</span>&#160;}</div><div class="line"><a name="l00271"></a><span class="lineno">  271</span>&#160;</div><div class="line"><a name="l00272"></a><span class="lineno"><a class="line" href="namespaceeic.html#a9c23bcadd6b3382ed93e4d55d7660b96">  272</a></span>&#160;std::ostream&amp; <a class="code" href="namespaceeic.html#a207cb16b7a2df08e82d05c73c144487f">operator&lt;&lt;</a>(std::ostream&amp; o, <span class="keyword">const</span> <a class="code" href="classeic_1_1_reconstructed_particle_collection.html">ReconstructedParticleCollection</a>&amp; v) {</div><div class="line"><a name="l00273"></a><span class="lineno">  273</span>&#160;  <span class="keyword">const</span> <span class="keyword">auto</span> old_flags = o.flags();</div><div class="line"><a name="l00274"></a><span class="lineno">  274</span>&#160;  o &lt;&lt; <span class="stringliteral">&quot;          id:        type:      energy:    momentum:      charge:        mass:&quot;</span> &lt;&lt; <span class="charliteral">&#39;\n&#39;</span>;</div><div class="line"><a name="l00275"></a><span class="lineno">  275</span>&#160;</div><div class="line"><a name="l00276"></a><span class="lineno">  276</span>&#160;  <span class="keywordflow">for</span> (<span class="keywordtype">size_t</span> i = 0; i &lt; v.<a class="code" href="classeic_1_1_reconstructed_particle_collection.html#a3153fd922870713e074091ebfe75152b">size</a>(); ++i) {</div><div class="line"><a name="l00277"></a><span class="lineno">  277</span>&#160;    o &lt;&lt; std::scientific &lt;&lt; std::showpos &lt;&lt; std::setw(12) &lt;&lt; v[i].id() &lt;&lt; <span class="stringliteral">&quot; &quot;</span></div><div class="line"><a name="l00278"></a><span class="lineno">  278</span>&#160;      &lt;&lt; std::setw(12) &lt;&lt; v[i].<a class="code" href="classeic_1_1_reconstructed_particle_collection.html#a8147ee0695e02e9d22ef1d2e240d4fd1">type</a>() &lt;&lt; <span class="stringliteral">&quot; &quot;</span></div><div class="line"><a name="l00279"></a><span class="lineno">  279</span>&#160;      &lt;&lt; std::setw(12) &lt;&lt; v[i].<a class="code" href="classeic_1_1_reconstructed_particle_collection.html#a1a9ddf83a15b1c5e1d346b105b28d69f">energy</a>() &lt;&lt; <span class="stringliteral">&quot; &quot;</span></div><div class="line"><a name="l00280"></a><span class="lineno">  280</span>&#160;      &lt;&lt; std::setw(12) &lt;&lt; v[i].<a class="code" href="classeic_1_1_reconstructed_particle_collection.html#ab79559d8788585cdd52d9a470b239e71">charge</a>() &lt;&lt; <span class="stringliteral">&quot; &quot;</span></div><div class="line"><a name="l00281"></a><span class="lineno">  281</span>&#160;      &lt;&lt; std::setw(12) &lt;&lt; v[i].<a class="code" href="classeic_1_1_reconstructed_particle_collection.html#a30efcfb9f8fe4c02cfcfff98233c9ac7">mass</a>() &lt;&lt; <span class="stringliteral">&quot; &quot;</span></div><div class="line"><a name="l00282"></a><span class="lineno">  282</span>&#160;      &lt;&lt; std::endl;</div><div class="line"><a name="l00283"></a><span class="lineno">  283</span>&#160;</div><div class="line"><a name="l00284"></a><span class="lineno">  284</span>&#160;    o &lt;&lt; <span class="stringliteral">&quot;      clusters : &quot;</span>;</div><div class="line"><a name="l00285"></a><span class="lineno">  285</span>&#160;    <span class="keywordflow">for</span> (<span class="keywordtype">unsigned</span> j = 0, N = v[i].clusters_size(); j &lt; N; ++j) {</div><div class="line"><a name="l00286"></a><span class="lineno">  286</span>&#160;      o &lt;&lt; v[i].clusters(j).id() &lt;&lt; <span class="stringliteral">&quot; &quot;</span>;</div><div class="line"><a name="l00287"></a><span class="lineno">  287</span>&#160;    }</div><div class="line"><a name="l00288"></a><span class="lineno">  288</span>&#160;    o &lt;&lt; std::endl;</div><div class="line"><a name="l00289"></a><span class="lineno">  289</span>&#160;    o &lt;&lt; <span class="stringliteral">&quot;      tracks : &quot;</span>;</div><div class="line"><a name="l00290"></a><span class="lineno">  290</span>&#160;    <span class="keywordflow">for</span> (<span class="keywordtype">unsigned</span> j = 0, N = v[i].tracks_size(); j &lt; N; ++j) {</div><div class="line"><a name="l00291"></a><span class="lineno">  291</span>&#160;      o &lt;&lt; v[i].tracks(j).id() &lt;&lt; <span class="stringliteral">&quot; &quot;</span>;</div><div class="line"><a name="l00292"></a><span class="lineno">  292</span>&#160;    }</div><div class="line"><a name="l00293"></a><span class="lineno">  293</span>&#160;    o &lt;&lt; std::endl;</div><div class="line"><a name="l00294"></a><span class="lineno">  294</span>&#160;    o &lt;&lt; <span class="stringliteral">&quot;      particles : &quot;</span>;</div><div class="line"><a name="l00295"></a><span class="lineno">  295</span>&#160;    <span class="keywordflow">for</span> (<span class="keywordtype">unsigned</span> j = 0, N = v[i].particles_size(); j &lt; N; ++j) {</div><div class="line"><a name="l00296"></a><span class="lineno">  296</span>&#160;      o &lt;&lt; v[i].particles(j).id() &lt;&lt; <span class="stringliteral">&quot; &quot;</span>;</div><div class="line"><a name="l00297"></a><span class="lineno">  297</span>&#160;    }</div><div class="line"><a name="l00298"></a><span class="lineno">  298</span>&#160;    o &lt;&lt; std::endl;</div><div class="line"><a name="l00299"></a><span class="lineno">  299</span>&#160;</div><div class="line"><a name="l00300"></a><span class="lineno">  300</span>&#160;    o &lt;&lt; <span class="stringliteral">&quot;      vertex : &quot;</span>;</div><div class="line"><a name="l00301"></a><span class="lineno">  301</span>&#160;    o &lt;&lt; v[i].vertex().id() &lt;&lt; std::endl;</div><div class="line"><a name="l00302"></a><span class="lineno">  302</span>&#160;</div><div class="line"><a name="l00303"></a><span class="lineno">  303</span>&#160;</div><div class="line"><a name="l00304"></a><span class="lineno">  304</span>&#160;  }</div><div class="line"><a name="l00305"></a><span class="lineno">  305</span>&#160;</div><div class="line"><a name="l00306"></a><span class="lineno">  306</span>&#160;  o.flags(old_flags);</div><div class="line"><a name="l00307"></a><span class="lineno">  307</span>&#160;  <span class="keywordflow">return</span> o;</div><div class="line"><a name="l00308"></a><span class="lineno">  308</span>&#160;}</div><div class="line"><a name="l00309"></a><span class="lineno">  309</span>&#160;</div><div class="line"><a name="l00310"></a><span class="lineno">  310</span>&#160;} <span class="comment">// namespace eic</span></div><div class="line"><a name="l00311"></a><span class="lineno">  311</span>&#160;</div><div class="ttc" id="classeic_1_1_reconstructed_particle_obj_html"><div class="ttname"><a href="classeic_1_1_reconstructed_particle_obj.html">eic::ReconstructedParticleObj</a></div><div class="ttdef"><b>Definition:</b> <a href="_reconstructed_particle_obj_8h_source.html#l00026">ReconstructedParticleObj.h:26</a></div></div>
<div class="ttc" id="classeic_1_1_reconstructed_particle_collection_html_a54b4e70164490e29f353cc0034ef1c4e"><div class="ttname"><a href="classeic_1_1_reconstructed_particle_collection.html#a54b4e70164490e29f353cc0034ef1c4e">eic::ReconstructedParticleCollection::create</a></div><div class="ttdeci">ReconstructedParticle create()</div><div class="ttdoc">Append a new object to the collection, and return this object. </div><div class="ttdef"><b>Definition:</b> <a href="_reconstructed_particle_collection_8cc_source.html#l00060">ReconstructedParticleCollection.cc:60</a></div></div>
<div class="ttc" id="classeic_1_1_reconstructed_particle_html"><div class="ttname"><a href="classeic_1_1_reconstructed_particle.html">eic::ReconstructedParticle</a></div><div class="ttdef"><b>Definition:</b> <a href="_reconstructed_particle_8h_source.html#l00035">ReconstructedParticle.h:35</a></div></div>
<div class="ttc" id="classeic_1_1_reconstructed_particle_obj_html_aa93636c5a85aafcb6902ef07e5139f7e"><div class="ttname"><a href="classeic_1_1_reconstructed_particle_obj.html#aa93636c5a85aafcb6902ef07e5139f7e">eic::ReconstructedParticleObj::m_clusters</a></div><div class="ttdeci">std::vector&lt;::eic::ConstCluster &gt; * m_clusters</div><div class="ttdef"><b>Definition:</b> <a href="_reconstructed_particle_obj_8h_source.html#l00040">ReconstructedParticleObj.h:40</a></div></div>
<div class="ttc" id="classeic_1_1_reconstructed_particle_collection_html"><div class="ttname"><a href="classeic_1_1_reconstructed_particle_collection.html">eic::ReconstructedParticleCollection</a></div><div class="ttdef"><b>Definition:</b> <a href="_reconstructed_particle_collection_8h_source.html#l00050">ReconstructedParticleCollection.h:50</a></div></div>
<div class="ttc" id="classeic_1_1_const_track_html"><div class="ttname"><a href="classeic_1_1_const_track.html">eic::ConstTrack</a></div><div class="ttdef"><b>Definition:</b> <a href="_track_const_8h_source.html#l00027">TrackConst.h:27</a></div></div>
<div class="ttc" id="classeic_1_1_reconstructed_particle_collection_html_a30efcfb9f8fe4c02cfcfff98233c9ac7"><div class="ttname"><a href="classeic_1_1_reconstructed_particle_collection.html#a30efcfb9f8fe4c02cfcfff98233c9ac7">eic::ReconstructedParticleCollection::mass</a></div><div class="ttdeci">const std::array&lt; double, arraysize &gt; mass() const</div><div class="ttdef"><b>Definition:</b> <a href="_reconstructed_particle_collection_8h_source.html#l00213">ReconstructedParticleCollection.h:213</a></div></div>
<div class="ttc" id="_track_collection_8h_html"><div class="ttname"><a href="_track_collection_8h.html">TrackCollection.h</a></div></div>
<div class="ttc" id="classeic_1_1_reconstructed_particle_collection_html_a642c4d571390afbd305a2d14e66b3e46"><div class="ttname"><a href="classeic_1_1_reconstructed_particle_collection.html#a642c4d571390afbd305a2d14e66b3e46">eic::ReconstructedParticleCollection::operator[]</a></div><div class="ttdeci">const ReconstructedParticle operator[](unsigned int index) const</div><div class="ttdoc">Returns the const object of given index. </div><div class="ttdef"><b>Definition:</b> <a href="_reconstructed_particle_collection_8cc_source.html#l00040">ReconstructedParticleCollection.cc:40</a></div></div>
<div class="ttc" id="namespaceeic_html_a207cb16b7a2df08e82d05c73c144487f"><div class="ttname"><a href="namespaceeic.html#a207cb16b7a2df08e82d05c73c144487f">eic::operator&lt;&lt;</a></div><div class="ttdeci">std::ostream &amp; operator&lt;&lt;(std::ostream &amp;o, const ConstCalorimeterHit &amp;value)</div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_8cc_source.html#l00112">CalorimeterHit.cc:112</a></div></div>
<div class="ttc" id="classeic_1_1_reconstructed_particle_collection_html_af5d6ea21cde655b09a7ece53786dbbbb"><div class="ttname"><a href="classeic_1_1_reconstructed_particle_collection.html#af5d6ea21cde655b09a7ece53786dbbbb">eic::ReconstructedParticleCollection::at</a></div><div class="ttdeci">const ReconstructedParticle at(unsigned int index) const</div><div class="ttdoc">Returns the const object of given index. </div><div class="ttdef"><b>Definition:</b> <a href="_reconstructed_particle_collection_8cc_source.html#l00044">ReconstructedParticleCollection.cc:44</a></div></div>
<div class="ttc" id="namespaceeic_html_aec2946d418a10c0fe30a39982147d8d0"><div class="ttname"><a href="namespaceeic.html#aec2946d418a10c0fe30a39982147d8d0">eic::ReconstructedParticleDataContainer</a></div><div class="ttdeci">std::vector&lt; ReconstructedParticleData &gt; ReconstructedParticleDataContainer</div><div class="ttdef"><b>Definition:</b> <a href="_reconstructed_particle_collection_8h_source.html#l00026">ReconstructedParticleCollection.h:26</a></div></div>
<div class="ttc" id="classeic_1_1_reconstructed_particle_collection_html_a164ff572b0413348ae73417d822c2308"><div class="ttname"><a href="classeic_1_1_reconstructed_particle_collection.html#a164ff572b0413348ae73417d822c2308">eic::ReconstructedParticleCollection::setBuffer</a></div><div class="ttdeci">void setBuffer(void *address) override final</div><div class="ttdef"><b>Definition:</b> <a href="_reconstructed_particle_collection_8cc_source.html#l00252">ReconstructedParticleCollection.cc:252</a></div></div>
<div class="ttc" id="classeic_1_1_reconstructed_particle_collection_html_a9135f75aaac6e104272e57410d38fff9"><div class="ttname"><a href="classeic_1_1_reconstructed_particle_collection.html#a9135f75aaac6e104272e57410d38fff9">eic::ReconstructedParticleCollection::clear</a></div><div class="ttdeci">void clear() override final</div><div class="ttdef"><b>Definition:</b> <a href="_reconstructed_particle_collection_8cc_source.html#l00070">ReconstructedParticleCollection.cc:70</a></div></div>
<div class="ttc" id="classeic_1_1_cluster_collection_html"><div class="ttname"><a href="classeic_1_1_cluster_collection.html">eic::ClusterCollection</a></div><div class="ttdef"><b>Definition:</b> <a href="_cluster_collection_8h_source.html#l00050">ClusterCollection.h:50</a></div></div>
<div class="ttc" id="classeic_1_1_reconstructed_particle_collection_html_a8147ee0695e02e9d22ef1d2e240d4fd1"><div class="ttname"><a href="classeic_1_1_reconstructed_particle_collection.html#a8147ee0695e02e9d22ef1d2e240d4fd1">eic::ReconstructedParticleCollection::type</a></div><div class="ttdeci">const std::array&lt; int, arraysize &gt; type() const</div><div class="ttdef"><b>Definition:</b> <a href="_reconstructed_particle_collection_8h_source.html#l00173">ReconstructedParticleCollection.h:173</a></div></div>
<div class="ttc" id="classeic_1_1_reconstructed_particle_collection_html_aa47e9c558b1f5d3c94ba343a8b82d2b0"><div class="ttname"><a href="classeic_1_1_reconstructed_particle_collection.html#aa47e9c558b1f5d3c94ba343a8b82d2b0">eic::ReconstructedParticleCollection::setReferences</a></div><div class="ttdeci">bool setReferences(const podio::ICollectionProvider *collectionProvider) override final</div><div class="ttdef"><b>Definition:</b> <a href="_reconstructed_particle_collection_8cc_source.html#l00181">ReconstructedParticleCollection.cc:181</a></div></div>
<div class="ttc" id="classeic_1_1_const_vertex_html"><div class="ttname"><a href="classeic_1_1_const_vertex.html">eic::ConstVertex</a></div><div class="ttdef"><b>Definition:</b> <a href="_vertex_const_8h_source.html#l00029">VertexConst.h:29</a></div></div>
<div class="ttc" id="classeic_1_1_reconstructed_particle_collection_html_a7ba8de3acc05c820b8d7b79ea1426a71"><div class="ttname"><a href="classeic_1_1_reconstructed_particle_collection.html#a7ba8de3acc05c820b8d7b79ea1426a71">eic::ReconstructedParticleCollection::push_back</a></div><div class="ttdeci">void push_back(ConstReconstructedParticle object)</div><div class="ttdoc">Append object to the collection. </div><div class="ttdef"><b>Definition:</b> <a href="_reconstructed_particle_collection_8cc_source.html#l00237">ReconstructedParticleCollection.cc:237</a></div></div>
<div class="ttc" id="classeic_1_1_reconstructed_particle_collection_iterator_html_a78efedec687b5a8a03e44e12fef776a2"><div class="ttname"><a href="classeic_1_1_reconstructed_particle_collection_iterator.html#a78efedec687b5a8a03e44e12fef776a2">eic::ReconstructedParticleCollectionIterator::operator++</a></div><div class="ttdeci">const ReconstructedParticleCollectionIterator &amp; operator++() const</div><div class="ttdef"><b>Definition:</b> <a href="_reconstructed_particle_collection_8cc_source.html#l00267">ReconstructedParticleCollection.cc:267</a></div></div>
<div class="ttc" id="classeic_1_1_reconstructed_particle_collection_html_ab79559d8788585cdd52d9a470b239e71"><div class="ttname"><a href="classeic_1_1_reconstructed_particle_collection.html#ab79559d8788585cdd52d9a470b239e71">eic::ReconstructedParticleCollection::charge</a></div><div class="ttdeci">const std::array&lt; float, arraysize &gt; charge() const</div><div class="ttdef"><b>Definition:</b> <a href="_reconstructed_particle_collection_8h_source.html#l00203">ReconstructedParticleCollection.h:203</a></div></div>
<div class="ttc" id="classeic_1_1_reconstructed_particle_collection_html_a5fd1dd83d4f48c6c00deb10f5d04c540"><div class="ttname"><a href="classeic_1_1_reconstructed_particle_collection.html#a5fd1dd83d4f48c6c00deb10f5d04c540">eic::ReconstructedParticleCollection::prepareAfterRead</a></div><div class="ttdeci">void prepareAfterRead() override final</div><div class="ttdef"><b>Definition:</b> <a href="_reconstructed_particle_collection_8cc_source.html#l00167">ReconstructedParticleCollection.cc:167</a></div></div>
<div class="ttc" id="classeic_1_1_const_cluster_html"><div class="ttname"><a href="classeic_1_1_const_cluster.html">eic::ConstCluster</a></div><div class="ttdef"><b>Definition:</b> <a href="_cluster_const_8h_source.html#l00027">ClusterConst.h:27</a></div></div>
<div class="ttc" id="classeic_1_1_track_collection_html"><div class="ttname"><a href="classeic_1_1_track_collection.html">eic::TrackCollection</a></div><div class="ttdef"><b>Definition:</b> <a href="_track_collection_8h_source.html#l00050">TrackCollection.h:50</a></div></div>
<div class="ttc" id="classeic_1_1_reconstructed_particle_collection_html_a3153fd922870713e074091ebfe75152b"><div class="ttname"><a href="classeic_1_1_reconstructed_particle_collection.html#a3153fd922870713e074091ebfe75152b">eic::ReconstructedParticleCollection::size</a></div><div class="ttdeci">size_t size() const override final</div><div class="ttdoc">number of elements in the collection </div><div class="ttdef"><b>Definition:</b> <a href="_reconstructed_particle_collection_8cc_source.html#l00056">ReconstructedParticleCollection.cc:56</a></div></div>
<div class="ttc" id="classeic_1_1_reconstructed_particle_collection_iterator_html_a7e1088d4993692982d82f93e3cc6981f"><div class="ttname"><a href="classeic_1_1_reconstructed_particle_collection_iterator.html#a7e1088d4993692982d82f93e3cc6981f">eic::ReconstructedParticleCollectionIterator::operator-&gt;</a></div><div class="ttdeci">const ReconstructedParticle * operator-&gt;() const</div><div class="ttdef"><b>Definition:</b> <a href="_reconstructed_particle_collection_8cc_source.html#l00262">ReconstructedParticleCollection.cc:262</a></div></div>
<div class="ttc" id="namespaceeic_html"><div class="ttname"><a href="namespaceeic.html">eic</a></div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_8cc_source.html#l00014">CalorimeterHit.cc:14</a></div></div>
<div class="ttc" id="classeic_1_1_reconstructed_particle_collection_iterator_html"><div class="ttname"><a href="classeic_1_1_reconstructed_particle_collection_iterator.html">eic::ReconstructedParticleCollectionIterator</a></div><div class="ttdef"><b>Definition:</b> <a href="_reconstructed_particle_collection_8h_source.html#l00029">ReconstructedParticleCollection.h:29</a></div></div>
<div class="ttc" id="classeic_1_1_vertex_collection_html"><div class="ttname"><a href="classeic_1_1_vertex_collection.html">eic::VertexCollection</a></div><div class="ttdef"><b>Definition:</b> <a href="_vertex_collection_8h_source.html#l00050">VertexCollection.h:50</a></div></div>
<div class="ttc" id="_cluster_collection_8h_html"><div class="ttname"><a href="_cluster_collection_8h.html">ClusterCollection.h</a></div></div>
<div class="ttc" id="_reconstructed_particle_collection_8h_html"><div class="ttname"><a href="_reconstructed_particle_collection_8h.html">ReconstructedParticleCollection.h</a></div></div>
<div class="ttc" id="classeic_1_1_reconstructed_particle_collection_html_a14990fd17e73fb3664af2bc6b1e15e2d"><div class="ttname"><a href="classeic_1_1_reconstructed_particle_collection.html#a14990fd17e73fb3664af2bc6b1e15e2d">eic::ReconstructedParticleCollection::ReconstructedParticleCollection</a></div><div class="ttdeci">ReconstructedParticleCollection()</div><div class="ttdef"><b>Definition:</b> <a href="_reconstructed_particle_collection_8cc_source.html#l00017">ReconstructedParticleCollection.cc:17</a></div></div>
<div class="ttc" id="classeic_1_1_reconstructed_particle_collection_html_afc01bcd111b2e21542aa0db39067f4bc"><div class="ttname"><a href="classeic_1_1_reconstructed_particle_collection.html#afc01bcd111b2e21542aa0db39067f4bc">eic::ReconstructedParticleCollection::prepareForWrite</a></div><div class="ttdeci">void prepareForWrite() override final</div><div class="ttdef"><b>Definition:</b> <a href="_reconstructed_particle_collection_8cc_source.html#l00113">ReconstructedParticleCollection.cc:113</a></div></div>
<div class="ttc" id="classeic_1_1_reconstructed_particle_collection_iterator_html_a10586dd247c4e9325495a11e7f629a7c"><div class="ttname"><a href="classeic_1_1_reconstructed_particle_collection_iterator.html#a10586dd247c4e9325495a11e7f629a7c">eic::ReconstructedParticleCollectionIterator::operator*</a></div><div class="ttdeci">const ReconstructedParticle operator*() const</div><div class="ttdef"><b>Definition:</b> <a href="_reconstructed_particle_collection_8cc_source.html#l00257">ReconstructedParticleCollection.cc:257</a></div></div>
<div class="ttc" id="classeic_1_1_const_reconstructed_particle_html"><div class="ttname"><a href="classeic_1_1_const_reconstructed_particle.html">eic::ConstReconstructedParticle</a></div><div class="ttdef"><b>Definition:</b> <a href="_reconstructed_particle_const_8h_source.html#l00033">ReconstructedParticleConst.h:33</a></div></div>
<div class="ttc" id="classeic_1_1_reconstructed_particle_collection_html_a1a9ddf83a15b1c5e1d346b105b28d69f"><div class="ttname"><a href="classeic_1_1_reconstructed_particle_collection.html#a1a9ddf83a15b1c5e1d346b105b28d69f">eic::ReconstructedParticleCollection::energy</a></div><div class="ttdeci">const std::array&lt; double, arraysize &gt; energy() const</div><div class="ttdef"><b>Definition:</b> <a href="_reconstructed_particle_collection_8h_source.html#l00183">ReconstructedParticleCollection.h:183</a></div></div>
<div class="ttc" id="classeic_1_1_reconstructed_particle_collection_html_ad1199172966d13cf55811b0378024502"><div class="ttname"><a href="classeic_1_1_reconstructed_particle_collection.html#ad1199172966d13cf55811b0378024502">eic::ReconstructedParticleCollection::~ReconstructedParticleCollection</a></div><div class="ttdeci">~ReconstructedParticleCollection()</div><div class="ttdef"><b>Definition:</b> <a href="_reconstructed_particle_collection_8cc_source.html#l00030">ReconstructedParticleCollection.cc:30</a></div></div>
<div class="ttc" id="_vertex_collection_8h_html"><div class="ttname"><a href="_vertex_collection_8h.html">VertexCollection.h</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
